package CRSDK;

@SuppressWarnings("unused")
public enum CrDispModeBitNum {
    CrDispModeBitNum_GraphicDisplay (0x00000001),
    CrDispModeBitNum_DisplayAllInfo (0x00000002),
    CrDispModeBitNum_Histogram (0x00000004),
    CrDispModeBitNum_Level (0x00000008),
    CrDispModeBitNum_NoDispInfo (0x00000010),
    CrDispModeBitNum_NoDispInfoExposureOn (0x00000020) ,
    CrDispModeBitNum_NoDispInfoExposureTimeOut (0x00000040),
    CrDispModeBitNum_ForViewFinder (0x00000080),
    CrDispModeBitNum_MonitorOff (0x00000100);

    private final CrInt32u value;
    CrDispModeBitNum(int value) {
        this.value = new CrInt32u(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
